## python-yarg 0.1.9

=== Makefile ===
.PHONY: clean coverage deps deps-docs deps-test docs flake8 install pypi rtd test tox uninstall

clean:
	find . -name "*.pyc" -delete

coverage: deps-test
	coverage run --source=yarg runtests.py

deps:
	pip install -r requirements.txt

deps-docs:
	pip install -r requirements-docs.txt

deps-test:
	pip install -r requirements-test.txt

docs: deps-docs
	sphinx-build -b html docs/source docs/build

flake8:
	pip install flake8
	flake8 yarg

install:
	python setup.py install

pypi: rtd
	pip install -r requirements-pypi.txt
	python setup.py register
	python setup.py sdist upload
	python setup.py bdist_wheel upload

rtd:
	curl -X POST https://readthedocs.org/build/yarg

test:
	nosetests

tox: deps deps-test
	detox

uninstall:
	pip uninstall yarg

=== debian/changelog ===
python-yarg (0.1.9-3) unstable; urgency=medium

  * debian/control:
     - added Testsuite: autopkgtest-pkg-pybuild
     - removed unnecessary Builds-Depends (Closes: #1058971)
  * debian/patches: updated obsolete unnitest function (Closes: #1058389)
  * debian/tests: replaced by autopkgtest from debian/control

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 30 Dec 2023 22:46:59 -0300

python-yarg (0.1.9-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 01 Aug 2023 20:55:17 -0300

python-yarg (0.1.9-1) unstable; urgency=medium

  * Initial release. (Closes: #1028572)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 21 Feb 2023 14:38:01 -0300

=== debian/control ===
Source: python-yarg
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-requests,
               python3-nose,
               python3-pytest,
               python3-mock
Standards-Version: 4.6.2
Homepage: https://github.com/kura/yarg
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-yarg
Vcs-Git: https://salsa.debian.org/python-team/packages/python-yarg.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-yarg
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-yarg-doc
Description: Python library for querying PyPI
 Yarg is a module written in Python that revolves around the PyPI API, making
 it possible to perform package searches programmatically. Enabling developers
 to search PyPI faster for the latest packages and releases.
 .
 Ways to use Yarg:
  * API package RSS feeds - Module is able to parse PyPI server
    RSS feeds and information about available packages such as: last
    update date, description, name, URL and version.
  * Package Lookup API -allows you to access, query and extract information
    about packages hosted on PyPI.

Package: python-yarg-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python library for querying PyPI (common documentation)
 Yarg is a module written in Python that revolves around the PyPI API, making
 it possible to perform package searches programmatically. Enabling developers
 to search PyPI faster for the latest packages and releases.
 .
 Ways to use Yarg:
  * API package RSS feeds - Module is able to parse PyPI server
    RSS feeds and information about available packages such as: last
    update date, description, name, URL and version.
  * Package Lookup API - allows you to access, query and extract information
    about packages hosted on PyPI.
 .
 This package installs the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=yarg
export PYBUILD_TEST_ARGS=-v {dir}/tests/ -p no:warnings

%:

	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild

# Build sphinx HTML documentation
execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/src/ \
	http_proxy=http://127.0.0.1:9 \
	https_proxy=https://127.0.0.1:9 \
	 python3 -m sphinx -N -bhtml docs/source debian/html
endif

override_dh_link:
	dh_link
#Fixe privacy-breach-generic
	find debian/ -name '*Fira*' -delete
	find debian/python-yarg-doc/ -name '*.html' -exec sed -i 's|"https://||g' {} \;
	find debian/python-yarg-doc/ -name 'jinja.css' -exec sed -i 's|@import url("https||g' {} \;

## python-yarg 0.1.10

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	find . -name "*.pyc" -delete
 
 coverage: deps-test
-	coverage run --source=yarg runtests.py
+	coverage run -m pytest
 
 deps:
 	pip install -r requirements.txt
@@ -20,7 +20,7 @@
 
 flake8:
 	pip install flake8
-	flake8 yarg
+	flake8 yarg  --show-source
 
 install:
 	python setup.py install
@@ -28,14 +28,14 @@
 pypi: rtd
 	pip install -r requirements-pypi.txt
 	python setup.py register
-	python setup.py sdist upload
-	python setup.py bdist_wheel upload
+	python setup.py sdist bdist_wheel
+	twine upload dist/*
 
 rtd:
 	curl -X POST https://readthedocs.org/build/yarg
 
-test:
-	nosetests
+test: deps deps-test
+	pytest
 
 tox: deps deps-test
 	detox

=== debian/changelog ===
python-yarg (0.1.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.1.10
  * Add d/gbp.conf
  * Remove patch applied upstream
  * Remove dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 Aug 2024 01:18:57 +0200

python-yarg (0.1.9-4) unstable; urgency=medium

  * Team upload.
  * Drop dependency on python3-nose, it's not needed.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 06 Aug 2024 13:33:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,12 @@
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-sphinx,
                python3-requests,
-               python3-nose,
                python3-pytest,
-               python3-mock
 Standards-Version: 4.6.2
 Homepage: https://github.com/kura/yarg
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-yarg

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 %:
 
-	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild
+	dh $@ --with sphinxdoc  --buildsystem=pybuild
 
 # Build sphinx HTML documentation
 execute_after_dh_auto_build:

=== debian/watch ===
version=4
https://github.com/kura/yarg/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
